How to write AutoLISP programs

Поделиться
HTML-код
  • Опубликовано: 2 окт 2024

Комментарии • 240

  • @qgisforgeos
    @qgisforgeos 4 года назад +8

    I can't explain my feelings after learning through this session it means a lot to me. From today i am your student. And you are my Guru.
    Thank you so much for this teaching.🙏

    • @cyberCADsolutions
      @cyberCADsolutions  4 года назад +1

      Thank you. Please share to your friends.

    • @qgisforgeos
      @qgisforgeos 4 года назад

      @@cyberCADsolutions Sure Sir I will.😊

  • @natyalim
    @natyalim 3 месяца назад

    Excellent tutorial! Really nice step-by-step clarifying how the LISP-commands work, what the syntax is and why.

    • @cyberCADsolutions
      @cyberCADsolutions  3 месяца назад

      Syntax means the way of writing program statement.

  • @VIRVNR
    @VIRVNR 4 года назад

    Best and Correct way of teaching Lisp....Very Clear Step by step Explanation....I learnt lot from your tutorial...Please post more videos like this....Thank you...

  • @BOONE.PARINYA
    @BOONE.PARINYA 2 месяца назад

    Hi Prabhu, I really enjoyed learning AutoCAD from your videos. Your explanations are very clear and easy to understand. Also, I like how you add tips and tricks to your examples from time to time. Thank you for the effort you put into making the videos. Cheers!🙏🙏🙏

  • @ye8075
    @ye8075 Год назад

    Thank you so much; these tutorials helped me build what I exactly needed to optimize my workflow in a couple of hours.

  • @abdulwahabajiz1577
    @abdulwahabajiz1577 3 года назад

    Way of teaching was Splendid. Tutorial is very comprehensive and well explained, Thanks a lot Sir.

    • @cyberCADsolutions
      @cyberCADsolutions  3 года назад

      Thank you. Please share to your friends and colleagues.

  • @georgekhaba6436
    @georgekhaba6436 2 года назад +10

    time table
    @2:46 how to write lisp expressions
    @6:05 how to store a value in a variable
    @7:28 how set a variable
    @9:24 reading the value of variables
    @11:07 setq function explained
    @13:28 booting visual lisp
    @15:42 show the output of a variable from autolisp to autocad( princ alert getint )
    @22:30 how to read a point
    @25:14 the structure of a lisp program
    @29:40 how to write a comment in the code
    @31:06 a function to measures the distance between two points
    @38:05 how to use strings
    @39:30 how to display the output in the drawing
    hope its helpful to you guys and have fun learning

    • @cyberCADsolutions
      @cyberCADsolutions  2 года назад +4

      All the best. Please share.

    • @georgekhaba6436
      @georgekhaba6436 2 года назад +1

      @@cyberCADsolutions thank you sir for the beginner friendly auto-lisp video and will do my best to promote these helpful videos

  • @beidemariammoges2322
    @beidemariammoges2322 5 месяцев назад +1

    Very helpful, could u share the list of key words u sayed u would in the video, tnx

  • @alriashi7
    @alriashi7 Год назад

    man, what a great tutorial ..respect

  • @sivanagarajumaila1475
    @sivanagarajumaila1475 5 лет назад

    Awesome....Very clear explanation. Great Work !!!

  • @thiagarajann7105
    @thiagarajann7105 5 лет назад +2

    carefully planned tutorial, keep it up

  • @rozaazor1115
    @rozaazor1115 3 года назад

    This is a great video sir. Thank you !

  • @dogankorkmaz1208
    @dogankorkmaz1208 3 года назад

    it is a great tutorial. thanks for your effort.

  • @Entertainment-Jeddah
    @Entertainment-Jeddah 4 года назад

    Informative video bro thanks

  • @rashidnaveed4512
    @rashidnaveed4512 3 года назад

    very very very help full bro..... thanks very much...Are you lesson in hindi?

  • @oundhakar
    @oundhakar 3 года назад

    Excellent tutorial. Thanks

  • @leochoi9846
    @leochoi9846 Год назад

    I try this code ,
    (defun c:pdist()
    (setq p1 (getpoint "pick first point")
    p2 (getpoint p1 "
    pick next point")
    d (distance p1 p2)
    )
    (command "text" p1 250 0 (rtos d))

    )
    but don't know why after running text command will have error,it let me to select insert point,input text high and angel then text content, AUTOCAD 2015

  • @parikshyakharel5978
    @parikshyakharel5978 4 года назад

    Like it......very useful

  • @sarfrazahmed249
    @sarfrazahmed249 4 года назад

    Very good
    Thanks
    I understood

  • @vijaygade1214
    @vijaygade1214 4 года назад

    sir very good explanation thank you.

  • @rajakhan-tx5nw
    @rajakhan-tx5nw 9 месяцев назад

    can you create a lisp for me in which 3d solid for the many boundaries can be created from Civil 3D surface.

  • @vickeyqureshi-y6t
    @vickeyqureshi-y6t Год назад

    visual lisp is belong which type of language like java, c++, visual basic or other>

  • @pydzio
    @pydzio 4 года назад +1

    Great Tutorial!
    Question from me as a beginner: "Why don't you declare your variables as local?"
    I mean: (defun c:my_function ( / var1 var2 var3)) instead of (defun c:my_function ())

    • @cyberCADsolutions
      @cyberCADsolutions  4 года назад +4

      Yes, We have to localise all variables, so that they will be cleared up from the memory at the end of the program.

  • @abbasaqapour1935
    @abbasaqapour1935 11 месяцев назад

    Thanks alot my autocad 2022 could not load vlisp or vlide... can you help me?

  • @sanjaybhide3190
    @sanjaybhide3190 5 лет назад +2

    Dear Sir,
    Could you please suggest book to learn this program.

  • @venkataramanadeevi7438
    @venkataramanadeevi7438 2 года назад

    Explained nicely

    • @cyberCADsolutions
      @cyberCADsolutions  2 года назад

      Thank you. Please share to your friends and colleagues.

  • @bimalshrestha7361
    @bimalshrestha7361 10 месяцев назад

    Hello sir can you make me for lock object lips with password i will pay for this

  • @sunilmistry790
    @sunilmistry790 3 года назад

    sir i want save command autolisp file for popup coming for save file how to create please help

  • @sawilliams
    @sawilliams Год назад

    I started writing autolisp code in 1987, is it still around??

  • @mdabdullahalmamun6635
    @mdabdullahalmamun6635 3 года назад

    Dear Sir,
    your video very helpful.
    Sir,
    I need contour volume quality autolips.

  • @chhelgirigosai6273
    @chhelgirigosai6273 2 года назад

    Hello sir,
    I'm trying creat lsp but I'm not able sir
    Please suggest me ho to creat units converter lisp
    For example
    I enter 1.1 units and Autocad Draw 1.0623
    If i enter 1.2 units and Autocad Draw 1.125 units
    If i enter 1.3 units and Autocad Draw 1.1875 units
    Example x+(X.0625)
    If i enter length 2.1 and Autocad draw 2.0625
    It's possible sir..?

  • @georgekhabaze6619
    @georgekhabaze6619 3 года назад

    time table
    @29:11 write a lisp to put room dimensions inside it as a text

  • @jagathdeeshwara7215
    @jagathdeeshwara7215 3 года назад +1

    Thank you so much. This's very important programme for Autocad users. please do more videos.

    • @cyberCADsolutions
      @cyberCADsolutions  3 года назад +3

      Thank you. Please subscribe so that you will get notification. Please share to your friends and colleagues.

  • @hashimrahman2007
    @hashimrahman2007 4 года назад +1

    thank you sir, Can we calibrate dimensions ?

  • @srinivasan3642
    @srinivasan3642 3 года назад +1

    Really very easy way of teaching. Excellent

  • @---ot4uh
    @---ot4uh 3 года назад

    Great!!!...I have a cuestion. Its posible set Constraints by AutoLISP in the Model or set Actions/Constraints in Block Editor?...(Sorry for my English, I am not speaking well this languaje)

  • @pravinlokwani6680
    @pravinlokwani6680 4 года назад +1

    How to import export values to excel

    • @h-2d53
      @h-2d53 3 года назад

      We can’t import or export values to excel.
      Just use format .csv file(look like excel but not)

  • @arunrbishwakarma7443
    @arunrbishwakarma7443 2 года назад

    Can you make lisp command for me

  • @salmanzeb906
    @salmanzeb906 2 года назад

    I wrote the code as u have shown.,it says select first point then select next point when I select second point it says enter text,when I enters anything it appears and at at 45 degrees . Can u identify the reason for it

  • @adityaadit2004
    @adityaadit2004 2 года назад +1

    Sir I want to thank you for the outstanding tutorial of AutoLISP. I am currently on 25:48 and I want to ask you what is the meaning of c: in defun function?
    Also after defining the function name, you add two brackets. What does it do?

    • @cyberCADsolutions
      @cyberCADsolutions  2 года назад

      Please watch all the videos. You will come to know.

    • @adityaadit2004
      @adityaadit2004 2 года назад

      @@cyberCADsolutions you have explained what all i ask there, right? thank you sir 🙏

    • @adityaadit2004
      @adityaadit2004 2 года назад

      @@cyberCADsolutions you have explained what all i ask there, right? thank you sir 🙏

  • @tharunyadav1091
    @tharunyadav1091 2 года назад

    In Autocad based on G line, how to draw offset points with adjoining by line in autolisp, do u know how it prapare explain in video sir

  • @ashvanthkumar-o5d
    @ashvanthkumar-o5d 5 месяцев назад

    I enjoyed your video
    I had one query how to use mixed function in one list
    Eg:(2*b +c+a-b) in lisp

  • @nishantha0571
    @nishantha0571 Месяц назад +1

    excellent

  • @yethinabojanna2730
    @yethinabojanna2730 3 года назад

    Sir Pls i want LS profile lisp

  • @kornners
    @kornners Год назад

    I set wipeout frame to 2. But it will reset to 1 automatically when file is reopened. people tole me is one of those autolisp problem

  • @velraj9169
    @velraj9169 4 года назад

    Thanks for valuable lesson, great teaching ability.
    And I think it's taking more time instead of simply drawing. Please say any application of this autolisp and how can we easily customise??

    • @riazorakzai6833
      @riazorakzai6833 9 месяцев назад

      This is the main question. But he did not reply of this question.

  • @subrahmanyamgadi1779
    @subrahmanyamgadi1779 4 года назад +1

    Hi i have Question how to read csv file in auto lisp please any sugestions

  • @dharmalingam7050
    @dharmalingam7050 3 года назад

    Air, is there any possible to relate one dimension to other. If change one dimension value continually changed related dimension

  • @pouriaaghazade3720
    @pouriaaghazade3720 4 года назад +2

    This is a great video sir. Thank you !

  • @henryafterall
    @henryafterall 3 года назад

    You forgot to put p3 inside your p4 line which is why you don't get the rubber band when selecting your dimension at 44:14.

  • @sadiqpasha415
    @sadiqpasha415 3 года назад

    Than you for the nice vedio your explanation is very good but actually it will get difficult after 30 minutes due to the inclusion of the lot of function if you make some of the vedios on function (rtos, distance etc) please make separate vedios.

  • @عادلعوضبشير-ض5د
    @عادلعوضبشير-ض5د 5 лет назад +1

    Awesome ( adil from Sudan)

  • @nikhilporiya
    @nikhilporiya 5 месяцев назад

    Thank you very much sir for such a detailed video.

  • @danarditi
    @danarditi 4 года назад +1

    Excellent Tutorial very well and carefully explained THANKS

  • @ramanjirams3354
    @ramanjirams3354 2 года назад

    Sir I want to draw two circles by clicking command once on line two ends

  • @vishwajit25
    @vishwajit25 4 года назад

    You are god for me

  • @-MariaKaryd-
    @-MariaKaryd- 3 года назад

    Hi to all. I really appreciate the videos uploaded to this channel and so I wanted to ask if anyone has any idea how we could use AutoLISP to design a water supply and sewerage system in our floor plan.
    Thanks in advance.

  • @pengchengwang257
    @pengchengwang257 2 года назад

    兄弟,你口音怪怪的,最好加上字幕哎。

  • @KarthiK-tp8pq
    @KarthiK-tp8pq 5 лет назад

    Great Work!!

  • @gotohellbro3645
    @gotohellbro3645 2 года назад

    hi dude .tnx , how to convert lisp to FAS for load in autocad?

  • @autocad3480
    @autocad3480 Год назад

    Can u continue new vedios auto lisp..Great work❤

    • @cyberCADsolutions
      @cyberCADsolutions  Год назад +1

      Thank you. Please share with your colleagues and friends

  • @DDX01
    @DDX01 4 года назад

    sir it does not show 00 in the decimal places if number is 25 10 12 some thing like this. i want to show 12 as 12.000

    • @cyberCADsolutions
      @cyberCADsolutions  4 года назад

      set LUPREC = 3

    • @DDX01
      @DDX01 4 года назад

      Sir how can i write it in the program??

    • @DDX01
      @DDX01 4 года назад

      Where to write set LUPREC=3??

    • @cyberCADsolutions
      @cyberCADsolutions  4 года назад

      @@DDX01 AutoCAD command prompt.

    • @DDX01
      @DDX01 4 года назад

      Sir plz check my progress of nested while loop the code is here below...
      (defun c:cc()
      (setq p1(getpoint "
      Enter the center point of the circle:")
      r 1
      d 10
      )
      (setq s 1)
      (while (

  • @fathiabdel_ghany5774
    @fathiabdel_ghany5774 5 лет назад +1

    Dear Sir,
    Could you please suggest a book to learn this program.

    • @cyberCADsolutions
      @cyberCADsolutions  5 лет назад

      ABC of AutoLISP by George Omura

    • @cyberCADsolutions
      @cyberCADsolutions  5 лет назад

      ABC of AutoLISP by George Omura

    • @derekfrost8991
      @derekfrost8991 4 года назад

      The best lisp book (not autolisp) is 'a gentle introduction to symbolic computation' by David touretzky.. :) I think it's also free on-line..

  • @dolmolpol
    @dolmolpol 4 года назад

    Hi CyberCad , please can you point to me where is my mistake
    (defun c:testbox ()
    (setq len (getreal "
    lenght of the box: "))
    (command "box"
    '(0 0 0)
    '(len 18 800)
    )
    )
    If I write any number instead of variable len , it draws the box , otherwise it says "bad function ....."

    • @cyberCADsolutions
      @cyberCADsolutions  4 года назад +1

      (defun c:testbox()
      (setq len (getreal "
      lenght of the box: "))
      (command "box"
      '(0 0 0)
      (list len 18 800)
      )
      )
      "If you want to use a variable in a list, do not use single quote before list, but write LIST in side brackets as shown."

  • @rohansakpal5089
    @rohansakpal5089 5 лет назад +1

    Please make more videos over Lisp programming

    • @cyberCADsolutions
      @cyberCADsolutions  5 лет назад

      yaa. sure my friend. I will try my best. Please share the videos to your friends.

  • @syedsalman8691
    @syedsalman8691 3 года назад

    how to reduce or increase size of text in a program?

  • @PANDURANG99
    @PANDURANG99 3 года назад

    Thank you sir, i want print programm

  • @MechatechScience
    @MechatechScience 5 лет назад

    awesome sir i want more video from you.

  • @mdyaseen9043
    @mdyaseen9043 4 года назад

    How to store value in variables that call next time.

  • @mahendrank7742
    @mahendrank7742 Год назад

    Sir this video all tamil available yes or no sir

  • @tyagomusic
    @tyagomusic Год назад

    Thanks !!!

  • @gsrraju2005
    @gsrraju2005 5 лет назад +3

    very good explanation.pl bring some more lessons

  • @ibrahimpatel9006
    @ibrahimpatel9006 2 года назад

    I have created block and that block I have use as a insert block. For insert block I prefer CUIX.File and VLSIP.
    Through CUIX I have set symbol in Autocad ribbon and the same block used through LISP for shortcut command.
    When I used through CUIX I got correct block layer properties. I mean I have created in "xyz" layer. Using through CUIX I got the same layer in my new drawing. If even my current layer is 0 but they still put "xyz" layer in my new drawing. This is correct for me.
    When I use LISP shortcut command for the same insert block. If my current layer is "ABCD" then block properties has changed automatically. The layer of blocks has changed into current layer.

    • @ibrahimpatel9006
      @ibrahimpatel9006 2 года назад

      VLISP
      (defun c:RECCS2 (/ blockName fileName insertPoint )
      (setq blockName "Reccs1"
      fileName "C:\Desktop\To be check\Recc3.dwg")

      (if (not(tblsearch "layer" "Reccs1")) ;; check if the drawing not existing the block name
      (progn
      (vl-cmdf "-insert" "Recc3" "0.0,0.0,0.0" "" "" "") ;;inserts your master file from some defined file path
      (vl-cmdf "._erase" "l" "") ;;erases the block; last inserted
      ))

      (if (setq insertPoint (getpoint "
      pick point:"))
      (vl-cmdf "-insert" "Reccs1" pause "1" "1" "0") ;;inserts the block you want from the master file
      )
      (princ)
      )

    • @ibrahimpatel9006
      @ibrahimpatel9006 2 года назад

      CUIX
      ^C^C-insert;Recc3;\;;;explode;last;-purge;Blocks;Recc3;N;

  • @3dmodular
    @3dmodular 5 лет назад

    Plz Uploaded PCB design related lisp code.

  • @arunrbishwakarma7443
    @arunrbishwakarma7443 2 года назад

    Hlo

  • @jasonthalles5923
    @jasonthalles5923 2 года назад

    it work on my pc thx bro vеry much

    • @cyberCADsolutions
      @cyberCADsolutions  2 года назад

      Thank you. Please share to your friends and colleagues.

  • @hidden2839
    @hidden2839 3 года назад

    I want to contact you sir

  • @manzidankelly3874
    @manzidankelly3874 Год назад

    HELLO. How can I have the VLIDE working in my autoCAD. I am using AutoCAD 2023. the softwares are not predownloaded

  • @goldenbrand1
    @goldenbrand1 4 года назад

    Alright I've looked on just about every AutoCAD help site. How the heck do you get spaces in your command line if (SPACE)=(ENTER). Is there a way to change this.

  • @rupanzilmamunprince
    @rupanzilmamunprince 3 года назад

    Really Great video.... A must watch if you want to take your AutoCAD skills to the next level

  • @fremariambelay8069
    @fremariambelay8069 2 года назад

    Nice explanation and very clear and thanks, I have got a direct solution to my problem as I want the text and calculated area for my AutoCAD designed rooms. Thank you again

  • @kirubhakarpoornam
    @kirubhakarpoornam 7 месяцев назад

    Your teaching of AutoLISP is truly motivating!
    Keep up the great work! 😊👍

    • @cyberCADsolutions
      @cyberCADsolutions  7 месяцев назад

      Thank you! Will do! Please subscribe and share.

  • @ImranKhan-cs6kt
    @ImranKhan-cs6kt 4 года назад

    I want ask some douets with u

  • @thirumersal
    @thirumersal 4 года назад +2

    Hi cyber cad, Thank you for your class. It’s very useful to me . I am so happy to watch your video . Please upload more lisp programs...
    Thank you😍😍😍.....

    • @cyberCADsolutions
      @cyberCADsolutions  4 года назад

      Thank you. I am sure, I will upload more videos. Please share to your friends.

  • @shreejungrai6988
    @shreejungrai6988 4 года назад

    How to enable VLIDE command ?

  • @ProductPeeks
    @ProductPeeks 5 лет назад

    Excellent

  • @wanrids
    @wanrids 2 года назад

    Thank you sooo much..

    • @cyberCADsolutions
      @cyberCADsolutions  2 года назад

      Thank you. Please share to your friends and colleagues.

  • @Leelakrishna-ec4ov
    @Leelakrishna-ec4ov 4 года назад

    Give me notes sir

  • @Kiemtienonlabc
    @Kiemtienonlabc Год назад

    In strcat, i want next string in a new line, how to do it?

    • @cyberCADsolutions
      @cyberCADsolutions  Год назад

      Add back slash n between to get new line

    • @Kiemtienonlabc
      @Kiemtienonlabc Год назад

      @@cyberCADsolutions (STRCAT P1 "/N" P2)? DOES IT RIGHT ?

  • @FunnyAnimClip
    @FunnyAnimClip 9 месяцев назад

    Nice tutorial

  • @taimursohail1723
    @taimursohail1723 6 лет назад

    Awesome bro deep knowledge. But plz make tutorial on sheet set with title block & how smartly sheet set integrate with block

  • @Divya-q9f
    @Divya-q9f Год назад

    Hello sir where to run these programs

  • @AutoCAD_Troubleshooting
    @AutoCAD_Troubleshooting 4 года назад

    it is very helpfull for me thank you for sharing this video I hope to sharing more autolisp program in youtube

  • @pravinlokwani6680
    @pravinlokwani6680 4 года назад

    I seen all 7 videos very useful, now need of input form, store database n excel import export is required

    • @cyberCADsolutions
      @cyberCADsolutions  4 года назад +1

      I will try to upload that video asap. Thank you. Please share to your friends.

  • @mukuldangi4244
    @mukuldangi4244 4 года назад

    Hey I want a tool for converting Line into Pipe in BricsCAD, Can anyone help me

    • @kzzz1268
      @kzzz1268 4 года назад

      I have never used that software. But for other 3D CAD software, you can try to extrude along with the command. But if the software you are using is a "smart" software, the extruded solid won't be able to show any parameters. For some software, such as Bentley Openplant Modeler, BRCM, there is built-in command in them. Maybe try to find similar commands in BricsCAD.

  • @kaisj7
    @kaisj7 4 года назад

    thanx

  • @ABCTechJoy
    @ABCTechJoy 3 года назад

    Simple and very useful
    Thanks

    • @cyberCADsolutions
      @cyberCADsolutions  3 года назад

      Thank you. Please share to your friends and colleagues.

  • @vigneshkathirkamar3113
    @vigneshkathirkamar3113 4 года назад

    Superb Sir!! Nice explanation with illustration

  • @SALMANULFARIZ-ot7yq
    @SALMANULFARIZ-ot7yq 2 года назад

    Auto lisp available in cents..??
    Cents=sq÷40.47

  • @AjithKumar-ey2dl
    @AjithKumar-ey2dl 3 года назад

    Plz write a program for edited dimension shows in a different color.